### Hierarchy

- JsonFormsIonicLayout
  - LabelRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- elements
- initializers
- label
- ngRedux
- path
- schema
- subscription
- uischema

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new LabelRenderer(ngRedux: NgRedux<JsonFormsState>): LabelRenderer

- Overrides JsonFormsIonicLayout.constructor

  - Defined in ionic/src/other/label/label.ts:46

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns LabelRenderer

## Properties

### elements

elements: UISchemaElement[]

Inherited from JsonFormsIonicLayout.elements

- Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:39

### initializers

initializers: any[] = []

Inherited from JsonFormsIonicLayout.initializers

- Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:41

### label

label: string

- Defined in ionic/src/other/label/label.ts:46

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsIonicLayout.ngRedux

- Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:43

### path

path: string

Inherited from JsonFormsIonicLayout.path

Overrides JsonFormsBaseRenderer.path

- Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:38

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### subscription

subscription: Subscription

Inherited from JsonFormsIonicLayout.subscription

- Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:40

### uischema

uischema: Layout

Inherited from JsonFormsBaseRenderer.uischema

- Defined in ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsIonicLayout.ngOnDestroy

  - Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:62

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsIonicLayout.ngOnInit

  - Defined in ionic/src/layouts/JsonFormsIonicLayout.ts:47

  #### Returns void

Generated using TypeDoc